{% extends 'base.html.twig' %}

{% block title %}Question index{% endblock %}

{% block body %}
    <h1 class="text-center">Liste des questions</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Est Optionnelle</th>
                <th>Type Question</th>
                <th>Titre Question</th>
                <th>Numero Question</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for question in questions %}
            <tr>
                <td>{{ question.id }}</td>
                <td>{{ question.estOptionnelle ? 'Yes' : 'No' }}</td>
                <td>{{ question.typeQuestion }}</td>
                <td>{{ question.titreQuestion }}</td>
                <td>{{ question.numeroQuestion }}</td>
                <td>
                    <a href="{{ path('app_controleur_question_show', {'id': question.id}) }}">show</a>
                    <a href="{{ path('app_controleur_question_edit', {'id': question.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <p>Si vous souhaitez créer des questions, rendez-vous dans le sondage dont vous voulez ajouter la question</p>
{% endblock %}
